Get Memory by ID
curl --request GET \
--url https://api.memoram.app/api/v1/memory-blobs/{blobId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.memoram.app/api/v1/memory-blobs/{blobId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.memoram.app/api/v1/memory-blobs/{blobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"source": "<string>",
"title": "<string>",
"summary": "<string>",
"importance": 123,
"confidence": 123,
"tags": [
"<string>"
],
"tag_ids": [
"<string>"
]
}Memory Management
Get Memory by ID
Retrieve a specific memory blob by its ID. Requires the user’s ID.
GET
/
memory-blobs
/
{blobId}
Get Memory by ID
Retrieve a specific memory blob by its ID. Requires the user’s ID.
The
content field in the response blob will be encrypted and needs to be decrypted using the user’s encryption_key.
Authorization
RequiresBearer token authentication using your Developer JWT.Authorizations
JWT token obtained via /auth/token endpoint.
Path Parameters
The unique ID of the memory blob.
Query Parameters
The unique ID of the user who owns the memory blob.
Response
Details of the memory blob.
Represents a single memory blob (content is encrypted).
Encrypted memory content. Needs decryption using the user's encryption key.
List of tag names associated.
List of tag IDs associated.